---
title: CSSOM View
slug: Web/CSS/CSSOM_View
tags:
  - CSS
  - CSSOM
  - CSSOM View
  - Guide
  - Layout
  - Overview
  - Reference
---
<div>{{CSSRef}}</div>

<p><strong>CSSOM View</strong> is a module of CSS that lets you manipulate the visual view of a document, in particular its scrolling behavior.</p>

<h2 id="Reference">Reference</h2>

<h3 id="Properties">Properties</h3>

<div class="index">
<ul>
 <li>{{cssxref("scroll-behavior")}}</li>
</ul>
</div>

<h2 id="Guides">Guides</h2>

<dl>
 <dt><a href="/en-US/docs/Web/CSS/CSSOM_View/Coordinate_systems">Coordinate systems</a></dt>
 <dd>A guide to the coordinate systems used to specify the position of a location in a display context, whether that context is a window on a monitor, a viewport on a mobile device, or a position on a sheet of paper when printing.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM View')}}</td>
   <td>{{Spec2('CSSOM View')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<h3 id="scroll-behavior_property"><code>scroll-behavior</code> property</h3>

<div>

<p>{{Compat("css.properties.scroll-behavior")}}</p>
</div>
